<?php
session_start();
if ($_SESSION['rol'] != 1) {
	header("location: ./");
}

include "../conexion.php";

if (!empty($_POST)) {
	$alert = '';

	if (empty($_POST['usuario']) || empty($_POST['clave'])) {
		$alert = '<center><p class="msg_error">Rellena los campos obligatorios. <i class="fas fa-exclamation-triangle"></i></p><center>';
	} else {

		$nombre = $_POST['nombre'];
		$email  = $_POST['correo'];
		$user   = $_POST['usuario'];
		$clave  = md5($_POST['clave']);
		$rol    = $_POST['rol'];


		$query = mysqli_query($conection, "SELECT * FROM usuario WHERE usuario = '$user' OR correo = '$email' ");
		$result = mysqli_fetch_array($query);

		if ($result > 0) {
			$alert = '<center><p class="msg_error">El correo o el usuario ya existe. <i class="fas fa-exclamation-triangle"></i></p></center>';
		} else {

			$query_insert = mysqli_query($conection, "INSERT INTO usuario(nombre,correo,usuario,clave,rol)
																	VALUES('$nombre','$email','$user','$clave','$rol')");
			if ($query_insert) {
				$alert = '<center><p class="msg_save">Usuario creado correctamente. <i class="fas fa-check-circle"></i></p></center>';
			} else {
				$alert = '<center><p class="msg_error">Error al crear el usuario. <i class="fas fa-exclamation-triangle"></i></p></center>';
			}
		}
	}
}



?>

<!DOCTYPE html>
<html lang="en">

<head>
	<meta charset="UTF-8">
	<?php include "includes/scripts.php"; ?>
	<title>Registro Usuario | SIS - COTIZACIONES</title>
	<link rel="icon" href="../img/logo_favicon_vigitronic.ico">
</head>

<body>
	<?php include "includes/header.php"; ?>
	<section id="container">

		<div class="form_register">
			<center>
				<h1><i class="fas fa-user-plus"></i> Registro Usuario</h1>
			</center>
			<hr>
			<div class="alert"><?php echo isset($alert) ? $alert : ''; ?></div>

			<form action="" method="post">
				<label for="nombre">Nombre</label>
				<input type="text" name="nombre" id="nombre" placeholder="Nombre completo">
				<label for="correo">Correo electrónico</label>
				<input type="email" name="correo" id="correo" placeholder="Correo electrónico">
				<label for="usuario">Usuario*</label>
				<input type="text" name="usuario" id="usuario" placeholder="Usuario" required>
				<label for="clave">Clave*</label>
				<input type="password" name="clave" id="clave" placeholder="Clave de acceso" required>
				<label for="rol">Tipo Usuario</label>

				<?php

				$query_rol = mysqli_query($conection, "SELECT * FROM rol");
				mysqli_close($conection);
				$result_rol = mysqli_num_rows($query_rol);

				?>

				<select name="rol" id="rol">
					<?php
					if ($result_rol > 0) {
						while ($rol = mysqli_fetch_array($query_rol)) {
					?>
							<option value="<?php echo $rol["idrol"]; ?>"><?php echo $rol["rol"] ?></option>
					<?php

						}
					}
					?>
				</select>
				<button type="submit" class="btn_save"><i class="fas fa-save"></i> Guardar usuario</button>

			</form>


		</div>


	</section>
	<?php include "includes/footer.php"; ?>
</body>

</html>